Package com.salesforce.datacloud.jdbc.core

## Enum QueryDBMetadata

- java.lang.Object
- - java.lang.Enum<QueryDBMetadata>
  - - com.salesforce.datacloud.jdbc.core.QueryDBMetadata

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryDBMetadata>`

    public enum QueryDBMetadata
    extends Enum<QueryDBMetadata>

### Enum Constant Summary

Enum Constants
`GET_CATALOGS`
`GET_COLUMNS`
`GET_SCHEMAS`
`GET_TABLE_TYPES`
`GET_TABLES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<String>` `getColumnNames()`
`List<Integer>` `getColumnTypeIds()`
`List<String>` `getColumnTypes()`
`static QueryDBMetadata` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static QueryDBMetadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET_TABLE_TYPES

    public static final QueryDBMetadata GET_TABLE_TYPES

#### GET_CATALOGS

    public static final QueryDBMetadata GET_CATALOGS

#### GET_SCHEMAS

    public static final QueryDBMetadata GET_SCHEMAS

#### GET_TABLES

    public static final QueryDBMetadata GET_TABLES

#### GET_COLUMNS

    public static final QueryDBMetadata GET_COLUMNS

### Method Detail

#### values

    public static QueryDBMetadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryDBMetadata c : QueryDBMetadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryDBMetadata valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getColumnNames

    public List<String> getColumnNames()

#### getColumnTypes

    public List<String> getColumnTypes()

#### getColumnTypeIds

    public List<Integer> getColumnTypeIds()